#ifndef _HERMIT_TARGET_INIT_H_
#define _HERMIT_TARGET_INIT_H_

typedef void (*initcall_t)(void);

#define initcall(level, fn)				\
	static const initcall_t __initcall_##fn		\
	__attribute__((__used__))			\
	__attribute__((__section__(".initcall" level ".init"))) = fn

#define arch_initcall(fn)	initcall("1", fn)
#define subsys_initcall(fn)	initcall("2", fn)
#define device_initcall(fn)	initcall("3", fn)

#endif
