#define CORE_NAME "rma1_mmcsd_core"

#include <autoconf.h>
#if defined(CONFIG_MMCSD_DEBUG)
#define TRACE_DEBUG
#define DEBUG
#endif
#include <hermit.h>
#include <herrno.h>
#include <platform.h>
#include <delay.h>
#include <arch/system.h>
#include <arch/pinmux.h>
#include <mmcsd.h>

extern struct mmc_host rma1_mmc;
extern struct mmc_host rma1_sdhc;

static int rma1_mmcsd_probe(struct mmcsd_device *dev, int port)
{
	trace();

	switch (port) {
	case 0:
		dev->host = &rma1_mmc;
		dev->host->base = MMCIF_BASE_ADDR;
		break;
#if defined(CONFIG_MMCSD_RMA1_SDHC)
	case 1:
		dev->host = &rma1_sdhc;
		dev->host->base = SDHI0_BASE_ADDR;
		break;
#endif
	default:
		return -H_EINVAL;
	}

	return 0;
}

static void rma1_mmcsd_remove(struct mmcsd_device *dev)
{
	trace();
}

struct mmcsd_device rma1_mmcsd = {
	.probe = rma1_mmcsd_probe,
	.remove = rma1_mmcsd_remove,
};
